Manual do PHP
Anterior |  | Próxima

# XMLReader::XML

(no version information, might be only in CVS)

XMLReader::XML -- Set the data containing the XML to parse

## Descrição

class XMLReader {
bool open ( string source [, string encoding [, int options]] )
}

Set the data containing the XML to parse.

## Parâmetros

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Valores de retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## Histórico

Versão | Descrição
--- | ---
5.2.0 | `encoding` and `options` were added.

## Veja também

XMLReader::open
XMLReader::close

Anterior | Principal | Próxima
XMLReader::setRelaxNGSchemaSource | Acima | XMLWriter Functions